Ubuntu

[regression] lucid alpha-2 and earlier freeze upon suspend with sd card plugged in with some hardware

Reported by Muelli on 2009-11-07
592
This bug affects 158 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Lee Jones
Lucid
Medium
Lee Jones
Maverick
Undecided
Unassigned
linux-mvl-dove (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

This is another bugreport in a great series I filed. This time, against the lucid kernel.

ProblemType: KernelOops
Annotation: This occured during a previous suspend and prevented it from resuming properly.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: muelli 1720 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf8220000 irq 17'
   Mixer name : 'Analog Devices AD1984'
   Components : 'HDA:11d41984,17aa20d6,00100400'
   Controls : 29
   Simple ctrls : 18
Date: Sat Nov 7 00:00:53 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/share/apport/apportcheckresume
Failure: suspend/resume
HibernationDevice: #RESUME=UUID=5273fb39-2d17-4d61-bc89-2c1b6efa1db3
InterpreterPath: /usr/bin/python2.6
MachineType: LENOVO 766636G
Package: linux-image-2.6.32-2-generic 2.6.32-2.2
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: root=/dev/mapper/cryptroot source=UUID=9c3d5596-27c6-4fd5-bfcd-fa8eef6f1230 ro quiet splash crashkernel=384M-2G:64M,2G-:128M
ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
ProcEnviron: PATH=(custom, no user)
ProcVersionSignature: Ubuntu 2.6.32-2.2-generic
RelatedPackageVersions: linux-firmware 1.24
SourcePackage: linux
Tags: resume suspend
Title: [LENOVO 766636G] suspend/resume failure
Uname: Linux 2.6.32-2-generic x86_64
UserGroups:

WpaSupplicantLog:

dmi.bios.date: 07/01/2008
dmi.bios.vendor: LENOVO
dmi.bios.version: 7NETB6WW (2.16 )
dmi.board.name: 766636G
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7NETB6WW(2.16):bd07/01/2008:svnLENOVO:pn766636G:pvrThinkPadX61s:rvnLENOVO:rn766636G:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 766636G
dmi.product.version: ThinkPad X61s
dmi.sys.vendor: LENOVO

Antti Kaihola (akaihola) wrote :

I have:
- Dell Mini 9
- Lucid Netbook live USB 2009-12-23 (created from ISO with usb-creator)
- Linux ubuntu 2.6.32-9-generic #13-Ubuntu SMP Thu Dec 17 17:02:51 UTC 2009 i686 GNU/Linux

Suspend and wakeup happen successfully when there is no SD card in the internal card slot. It works when closing/opening the lid and with the panel "Suspend" menu item/the power button.

If I have an SD card in the slot (inserted either at boot time or after bootup) and close the lid:
- the USB stick light flashes 5 times
- the power LED never goes into "slow flashing" mode indicating suspend mode
When I open the lid:
- the desktop is still there
- mouse doesn't move
- keyboard doesn't work
- power button doesn't initiate shutdown
If I select the "Suspend" menu item instead of closing the lid:
- the screen dims to black
- screen backlight remains on
- power LED remains on
- computer is totally locked up

I just got hit by this bug with lucid 20100113 (aka lucid alpha-2) iso loopback booted from hd via grub2.
lspci -nn:
0d:06.2 SD Host controller [0805]: O2 Micro, Inc. Integrated MMC/SD Controller [1217:7120] (rev 02)

happened 3 times out of 3 on acer extensa 5630z
did not happen 3 out of 3 on extensa 5635z with same SD card.

tried also:
suspend by lid close with card in but unmounted. works fine.
suspend via suspend in the menu. freeze, the same as lid close.
tried 3 times to suspend (via menu) the same hardware with the same card mounted under installed karmic. worked fine every time.

Changing the title because it is not specific to the lenovo and is a regression.

@Muelli
I went out on a limb here and guessed that your hardware also did never successfully suspend in the first place (as opposed to resume problems). Please change that back if this is not so.

summary: - [LENOVO 766636G] lucid suspend/resume failure with sd card plugged in
+ [regression] lucid alpha-2 and earlier freeze upon suspend with sd card
+ plugged in with some hardware
Changed in linux (Ubuntu):
status: New → Confirmed
Antti Kaihola (akaihola) wrote :

I just verified this after upgrading all packages on my Dell Mini 9. Suspend works with no SD card and freezes the machine if the SD is mounted.

Kernel: 2.6.32-11-generic #15-Ubuntu SMP

Antti Kaihola (akaihola) wrote :

Still an issue on the Dell Mini 9 with kernel 2.6.32-12-generic #16-Ubuntu SMP.

Robert Hooker (sarvatt) wrote :

Same issue here on an acer aspire one AOA150. if I ever mount an SD card I can't suspend the machine successfully even if I unmount it before suspend, but it works fine as long as I never mount it. It started as early as 2.6.32-rc3 (the first 2.6.32 kernel I tried) and still exists with 2.6.33-rc7.

04:00.0 System peripheral [0880]: JMicron Technology Corp. SD/MMC Host Controller [197b:2382]
 Subsystem: Acer Incorporated [ALI] Device [1025:015b]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 19
 Region 0: Memory at 74100300 (32-bit, non-prefetchable) [size=256]
 [virtual] Expansion ROM at 73100000 [disabled] [size=32K]
 Capabilities: [a4] Power Management version 3
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [80] Express (v1) Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
   ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
   MaxPayload 128 bytes, MaxReadReq 512 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
  LnkCap: Port #1, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 unlimited, L1 unlimited
   ClockPM- Suprise- LLActRep- BwNot-
  LnkCtl: ASPM L0s L1 Enabled; RCB 64 bytes Disabled- Retrain- CommClk+
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
 Capabilities: [94] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
  Address: fffffffc Data: 0000
 Kernel driver in use: sdhci-pci
 Kernel modules: sdhci-pci

I get this message after a successful resume where I never mounted the SD card.

[ 8077.676619] mmc0: new SDHC card at address 31a4
[ 8077.676671] mmc mmc0:31a4: parent mmc0 should not be sleeping
[ 8077.676834] mmcblk0: mmc0:31a4 SD08G 7.42 GiB
[ 8077.676952] mmcblk0: p1

craptree (craptree) wrote :

Same problem on Dell mini 9 running Karmic, with 2.6.32 Lucid kernel.

Other users with same problem can be found here.
http://www.mydellmini.com/forum/ubuntu-netbook-remix/14722-suspend-hibernate-mini-9-broken.html

They have a simple work around there where pm-suspend unmounts the card before suspend.

Riz

Robert Hooker (sarvatt) wrote :

Building the MMC/SDHC modules into the kernel and enabling unsafe resume in the kernel config fixes the freezes here. Unfortunately unmounting the card before suspend does not fix it on my acer aspire one AOA150, its odd that if the card has ever been mounted it still hangs on suspend even if its not mounted anymore before I suspend.

Stefan Bader (smb) wrote :

Strangely enough the experience on my AOA110 was just a hang when the card is really mounted. Anyway, this probably won't get fixed soon. So to have a workaround I cherry-picked the patch from upstream that allows to change safe or unsafe resume for the mmc driver on the fly. Some test packages are at http://people.canonical.com/~smb/lp477106/

Andy Whitcroft (apw) on 2010-04-08
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
importance: Undecided → Medium
assignee: nobody → Stefan Bader (stefan-bader-canonical)
Launchpad Janitor (janitor) wrote :
Download full text (10.2 KiB)

This bug was fixed in the package linux - 2.6.32-20.29

---------------
linux (2.6.32-20.29) lucid; urgency=low

  [ Andy Whitcroft ]

  * Revert "SAUCE: Use MODULE_IMPORT macro to tie intel_agp to i915"
    - LP: #542251
  * add Breaks: against hardy lvm2
    - LP: #528155

  [ Colin Watson ]

  * d-i -- enable udebs for generic-pae
    - LP: #160366

  [ Stefan Bader ]

  * [Config] Add xen netboot support
    - LP: #160366

  [ Takashi Iwai ]

  * (pre-stable): input: Support Clickpad devices in ClickZone mode
    - LP: #516329

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) Bluetooth: Fix sleeping function in RFCOMM within
    invalid context"
    - LP: #553837
  * Revert "(pre-stable) USB: fix usbfs regression"
    - LP: #553837
  * Revert "(pre-stable) softlockup: Stop spurious softlockup messages due
    to overflow"
    - LP: #553837
  * Revert "(pre-stable) drm/nouveau: report unknown connector state if lid
    closed"
    - LP: #553837
  * drivers/scsi/ses.c: eliminate double free
    - LP: #553837
  * decompress: fix new decompressor for PIC
    - LP: #553837
  * ARM: Fix decompressor's kernel size estimation for ROM=y
    - LP: #553837
  * MIPS: Cleanup forgotten label_module_alloc in tlbex.c
    - LP: #553837
  * tg3: Fix tg3_poll_controller() passing wrong pointer to tg3_interrupt()
    - LP: #553837
  * tg3: Fix 5906 transmit hangs
    - LP: #553837
  * ALSA: hda - Fix input source elements of secondary ADCs on Realtek
    - LP: #553837
  * ALSA: hda: enable MSI for Gateway M-6866
    - LP: #538918, #553837
  * timekeeping: Prevent oops when GENERIC_TIME=n
    - LP: #553837
  * Input: alps - add support for the touchpad on Toshiba Tecra A11-11L
    - LP: #553837
  * Input: i8042 - add ALDI/MEDION netbook E1222 to qurik reset table
    - LP: #553837
  * i2c-i801: Don't use the block buffer for I2C block writes
    - LP: #553837
  * ath5k: dont use external sleep clock in AP mode
    - LP: #553837
  * ath5k: fix setup for CAB queue
    - LP: #553837
  * ring-buffer: Move disabled check into preempt disable section
    - LP: #553837
  * function-graph: Init curr_ret_stack with ret_stack
    - LP: #553837
  * Bluetooth: Fix sleeping function in RFCOMM within invalid context
    - LP: #553837
  * tracing: Use same local variable when resetting the ring buffer
    - LP: #553837
  * tracing: Disable buffer switching when starting or stopping trace
    - LP: #553837
  * tracing: Do not record user stack trace from NMI context
    - LP: #553837
  * PCI: unconditionally clear AER uncorr status register during cleanup
    - LP: #553837
  * efifb: fix framebuffer handoff
    - LP: #553837
  * coredump: suppress uid comparison test if core output files are pipes
    - LP: #553837
  * V4L/DVB (13961): em28xx-dvb: fix memleak in dvb_fini()
    - LP: #553837
  * hrtimer: Tune hrtimer_interrupt hang logic
    - LP: #553837
  * x86, apic: Don't use logical-flat mode when CPU hotplug may exceed 8
    CPUs
    - LP: #553837
  * mvsas: add support for Adaptec ASC-1045/1405 SAS/SATA HBA
    - LP: #553837
  * pci: add support for 82576NS serdes to existing SR-IOV quirk
    - LP: #553837
  * sched: Mark boot-cpu active before smp_init()
    -...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released

The workaround (changing removable to NO) works for me:

To change the parameter for one session:
cd /sys/module/mmc_core/parameters
sudo su
echo N > removable
exit

to change the parameter pemanently add this parameter to the kernel line by editing grub's configuration:
mmc_core.removable=0

Robert Hooker (sarvatt) wrote :

That explains it, I was trying mmc.removable=0 and it wasn't working. Thanks Wolfgang!

If the new kernel only makes available a workaround, shouldn't the bug still be open? This is still going to be an issue for every Ubuntu user with affected hardware.

andymanak (andymanak) wrote :

Is there a way in which I can permanently add mmc_core.removable=0 to the configuration, that way even if I update and a new kernel is installed it remains as a parameter for the current kernel?
I foresee myself updating one day and forgetting to add it to the updated grub configuration and losing data from corruption during a forced shutdown.

Add the option mmc_core.removable=0 to the kernel boot options in the grub config (for GRUB 2: edit /etc/default/grub and add it to GRUB_CMDLINE_LINUX, then run sudo update-grub; for GRUB 1: edit /boot/grub/menu.lst and add it to the end of the line beginning with # kopt=, then run sudo update-grub).

Christian Reis (kiko) wrote :

Stefan seems to suggest that the bug won't be easily fixed; is it worth enabling that option by default in order to cause the symptom to be fixed, at least? I'm on -21 and I can still reproduce the problem -- I had expected it to be fixed and now understand that the change only allows you to indicate the device as non-removeable.

What other consequences does setting that option have?

Right, being so close to release we did not want to change defaults to something
different than in Karmic. Even as the behaviour is looking better with the cards
being declared non-removable.
The problem is that this is a choice between two evils: either you declare them
removable, so the card is basically forcefully ejected on suspend and
re-detected and mounted on resume. Although the system tries to ensure there is
no unwritten data, there might be holes/races between that and the eject. And in
fact we had such a problem at some point in Karmic were the card got overwritten
(total data loss) on resume by things that did not make it to it on suspend.
We had a patch back then but that did not get accepted by upstream and then
replaced by something else that looked like doing the same but there either is a
subtle difference or something else got into upstream that lets suspend hang.

The other evil is to say the card is not removable. Now the card is not ejected
on suspend but upstream people think that this opens up a chance to destroy data
by swapping out the card and replacing it with a different one while the system
is suspended. I am not really sure how big this danger is, as when I remember
that correctly there is some card ID checked before actually assuming the same
media is still present. But the question is how unique these card IDs are. I
guess there is the problem of being good but expensive and less good but cheap
vendors of SD cards around. And from what I have read the cheap ones are not
really putting much effort into having uids or serial numbers right. But still
that might be a lot of the second case around...

So I think it is probably a good plan to make it a more concious decision to
twiddle with that setting.

Paul Kishimoto (khaeru) wrote :

If I interpret this thread correctly, the "fix" was adding the sysfs parameter to allow designating the cards as non-removable. By setting the parameter to "N", it should be possible to suspend with a card mounted. But I do not observe this to be the case:

To reproduce:
1. Boot.
2. Log in.
3. Open a terminal:

khaeru@khaeru-laptop:~$ apt-cache policy linux-image-generic
linux-image-generic:
  Installed: 2.6.32.21.22
  Candidate: 2.6.32.21.22
  Version table:
 *** 2.6.32.21.22 0
        500 http://archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status
khaeru@khaeru-laptop:~$ cat /sys/module/mmc_core/parameters/removable
Y
khaeru@khaeru-laptop:~$ echo N | sudo tee /sys/module/mmc_core/parameters/removable
[sudo] password for khaeru:
N
khaeru@khaeru-laptop:~$ cat /sys/module/mmc_core/parameters/removable
N
khaeru@khaeru-laptop:~$ sudo pm-suspend

Observed:
* Hard disk LED illuminates for several seconds.
* Computer freezes: video remains on-screen, power LED green ('on'), unresponsive to all input.

Expected:
* Computer suspends.

Paul Kishimoto (khaeru) wrote :

Also, Bug #424877 may be related.

Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Stefan Bader (smb) wrote :

The assumption about the change making it possible to set the card as
un-removable is correct. Having tested the change on a netbook of my own and
seeing the change make a difference, there are maybe two things to check or find
out.

Was this a regression for you as well (did it work in Karmic)?
and
Is the hardware exactly the same (or what hardware is this happening anyway)?

Paul Kishimoto (khaeru) wrote :

Yes, it worked in Karmic. It's an A110L. The lscpi -vvnn output includes the following, same as in comment #6:

04:00.0 System peripheral [0880]: JMicron Technology Corp. SD/MMC Host Controller [197b:2382]
        Subsystem: Acer Incorporated [ALI] Device [1025:015b]

I could upload the full output...would that help?

Paul Kishimoto (khaeru) wrote :

I also notice that in Bug #436729, the lspci.txt uploaded with the original report has the same JMicron part.

Stefan Bader (smb) wrote :

Seems this is the exactly same controller as in my AOA110. Very odd. I will
upgrade to the latest code, just to see this still works on that system.

alien8 (fb-alien8) wrote :

Hi,

I'd just like to add that I run into the same problem on a
        Product Name: 2808D4G
        Version: ThinkPad T400s
on a
        Manufacturer: FUJITSU SIEMENS
        Product Name: LIFEBOOK S2110
        Version:
and a Aspire One Netbook
        Manufacturer: Acer
        Product Name: AOA110
        Version: 1
For all systems in Karmic the SD card was unmounted before suspend/resume and mounted afterwards. I do remember the data loss Stefan mentioned in #17 ;)

I don't think the
echo "N" | sudo tee /sys/module/mmc_core/parameters/removable
"work around" can be considered a solution even if I'd like to confirm that it works on all mentioned boxes.
IMHO it has a high potential of frustration for Ubuntu users to see their boxes freeze using the default install.

Since the real fix seems to involve proper handling of the umount in the Linux kernel and suspending the devices in the right order (mmc_core tries to suspend, mmc_block still has the partitions mounted or whatever happens right now. Said to be tricky) I think it would be a valid work around to have the sd cards umounted by the suspend/resume pm-utils.
If an umount is not possible I'd expect a warning and the process to be stopped. That is also suggested by some folks on the net.
The echo "N" >... removable is to deal with root partitions on mmc_block devices. The average Ubuntu user will be challenged to look for that bug on the net and do echo "N" ... each reboot or fiddle w/ the grub config.

Anyhow, IMHO that problem should be fixed in the default Lucid distribution.

Thanks,

- a8

Peter Meyer (petermeyer69) wrote :

Hi: Have a Dell Mini 9. The SD problem went away in the 9.10 release, and now seems to be back in 10.04. Any thought about what might have changed?

yep...back for me too.

On Sat, May 1, 2010 at 4:43 PM, Peter Meyer <email address hidden> wrote:

> Hi: Have a Dell Mini 9. The SD problem went away in the 9.10 release,
> and now seems to be back in 10.04. Any thought about what might have
> changed?
>
> --
> [regression] lucid alpha-2 and earlier freeze upon suspend with sd card
> plugged in with some hardware
> https://bugs.launchpad.net/bugs/477106
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> This is another bugreport in a great series I filed. This time, against the
> lucid kernel.
>
> ProblemType: KernelOops
> Annotation: This occured during a previous suspend and prevented it from
> resuming properly.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
> Subdevices: 2/2
> Subdevice #0: subdevice #0
> Subdevice #1: subdevice #1
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: muelli 1720 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf8220000 irq 17'
> Mixer name : 'Analog Devices AD1984'
> Components : 'HDA:11d41984,17aa20d6,00100400'
> Controls : 29
> Simple ctrls : 18
> Date: Sat Nov 7 00:00:53 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/share/apport/apportcheckresume
> Failure: suspend/resume
> HibernationDevice: #RESUME=UUID=5273fb39-2d17-4d61-bc89-2c1b6efa1db3
> InterpreterPath: /usr/bin/python2.6
> MachineType: LENOVO 766636G
> Package: linux-image-2.6.32-2-generic 2.6.32-2.2
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdLine: root=/dev/mapper/cryptroot
> source=UUID=9c3d5596-27c6-4fd5-bfcd-fa8eef6f1230 ro quiet splash
> crashkernel=384M-2G:64M,2G-:128M
> ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
> ProcEnviron: PATH=(custom, no user)
> ProcVersionSignature: Ubuntu 2.6.32-2.2-generic
> RelatedPackageVersions: linux-firmware 1.24
> SourcePackage: linux
> Tags: resume suspend
> Title: [LENOVO 766636G] suspend/resume failure
> Uname: Linux 2.6.32-2-generic x86_64
> UserGroups:
>
> WpaSupplicantLog:
>
> dmi.bios.date: 07/01/2008
> dmi.bios.vendor: LENOVO
> dmi.bios.version: 7NETB6WW (2.16 )
> dmi.board.name: 766636G
> dmi.board.vendor: LENOVO
> dmi.board.version: Not Available
> dmi.chassis.asset.tag: No Asset Information
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Not Available
> dmi.modalias:
> dmi:bvnLENOVO:bvr7NETB6WW(2.16):bd07/01/2008:svnLENOVO:pn766636G:pvrThinkPadX61s:rvnLENOVO:rn766636G:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
> dmi.product.name: 766636G
> dmi.product.version: ThinkPad X61s
> dmi.sys.vendor: LENOVO
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/477106/+subscribe
>

Simple solution

Don't use suspend anymore. The new distro boots so quick you might as
well always start with a boot.

Ian

Peter Meyer wrote:
> Hi: Have a Dell Mini 9. The SD problem went away in the 9.10 release,
> and now seems to be back in 10.04. Any thought about what might have
> changed?
>
>

Ian Soutar (isoutar) wrote :

Possible solution.

I installed kubuntu 10.4 and then added the other desktops ... but I
started with Kubuntu for the installation.

Then I went sudo apt-get install ubuntu-desktop xubuntu-desktop
lubuntu-desktop ...

Not sure if simply installing Kubuntu instead of Ubuntu was the solution
or whether it was the installation of the other desktops after doing
kubuntu for the actual install.

Open to experimentation ... see if anyone else can duplicate the
solution. My machine now suspends just fine and it is a mini 9.

Ian Soutar
Victoria BC Canada.

Ian Soutar wrote:
> Simple solution
>
> Don't use suspend anymore. The new distro boots so quick you might as
> well always start with a boot.
>
> Ian
>
> Peter Meyer wrote:
>
>> Hi: Have a Dell Mini 9. The SD problem went away in the 9.10 release,
>> and now seems to be back in 10.04. Any thought about what might have
>> changed?
>>
>>
>>
>

alien8 (fb-alien8) wrote :

Hi,

Not sure if installing (k|x|l)ubuntu is a better solution than using the
echo "N" | sudo tee /sys/module/mmc_core/parameters/removable
hack supposed for the root-fs to be located on a sd card.

Further up there was a link posted pointing to
http://www.mydellmini.com/forum/ubuntu-netbook-remix/14722-suspend-hibernate-mini-9-broken-3.html
There you find an easy version of a script umounting the sd-card. IMHO it is a bit too simple. I want the suspend process to fail/revert in case the sd card cannot be umounted. I attached my script here. sudo cp it it to /etc/pm/sleep.d and sudo chmod a+x /etc/pm/sleep.d/10sdcard

Again, I would have expected something like that in Lucid.

- a8

Ian Soutar (isoutar) wrote :

Thanks ... I will experiment with this if the problem reappears.

Ian

alien8 wrote:
> Hi,
>
> Not sure if installing (k|x|l)ubuntu is a better solution than using the
> echo "N" | sudo tee /sys/module/mmc_core/parameters/removable
> hack supposed for the root-fs to be located on a sd card.
>
> Further up there was a link posted pointing to
> http://www.mydellmini.com/forum/ubuntu-netbook-remix/14722-suspend-hibernate-mini-9-broken-3.html
> There you find an easy version of a script umounting the sd-card. IMHO it is a bit too simple. I want the suspend process to fail/revert in case the sd card cannot be umounted. I attached my script here. sudo cp it it to /etc/pm/sleep.d and sudo chmod a+x /etc/pm/sleep.d/10sdcard
>
> Again, I would have expected something like that in Lucid.
>
> - a8
>
> ** Attachment added: "umount script for sd cards"
> http://launchpadlibrarian.net/47488959/10sdcard
>
>

gavin (gavinewin) wrote :

I can confirm that the script described above #29 works for me on a Dell Latitude D430, that has the same problems with the SD card on suspend with lucid.

Ian Soutar (isoutar) wrote :

Gavin

Can you point the way to the script ... I will see if the Dell Mini 9
gets fixed.

Ian

gavin wrote:
> I can confirm that the script described above #29 works for me on a Dell
> Latitude D430, that has the same problems with the SD card on suspend
> with lucid.
>
>

erlguta (gonzalomarcote) wrote :

I tried the script of the commentary #29 on my dell mini 9 and it works perfectly.
Nobody is working on this bug to offer a official solution?

Peter Meyer (petermeyer69) wrote :

I also tried commentary #29. I have it working on my dell mini 9. As above, is this the final solution or will more need to be done?

Lee Jones (lag) wrote :

I am currently working on a similar bug.

Can someone try this and report back here whether it works for them or not please?

Momentary workaround:
    echo "SUSPEND_MODULES=\"sdhci sdhci_pci\"" | sudo tee -a /etc/pm/config.d/suspend_modules

This will unload the SD card reader module on suspend and reload it on resume.

Doug (dougdoan) wrote :

Comment #35 fixed the issue for me on my Thinkpad x60s.

Peter Meyer (petermeyer69) wrote :

Comment #35 fixed the issue for me as well on my Dell mini 9.

Lee Jones's comment #35 fixed the issue for me on the acer extensa 5630z.
Btw. I found that if the SD card is write protected via the hardware slider the bug never happens anyway. So to test I had to make sure it was unlocked.

cpb (chris-beauregard) wrote :

comment #35 works on my AA1 ZG5. w00t! This was getting really annoying.

Antti Kaihola (akaihola) wrote :

Comment #35 fixed the issue on my Dell Mini 9. It even worked immediately without rebooting first. Excellent!

Omer Akram (om26er) wrote :

OMG! for the first time after Jaunty now it suspended :)

I used the unmount before suspend fix for the mini 9. It worked
immediately.

Ian Soutar

Antti Kaihola wrote:
> Comment #35 fixed the issue on my Dell Mini 9. It even worked
> immediately without rebooting first. Excellent!
>
>

Peter Meyer (petermeyer69) wrote :

Hi Ian:

Are you saying you used the unmount manually or as part of the suspend script.

To avoid the lockup, I've had to manually unmount the SD card on my Mini 9 before suspending.

Peter

Ian Soutar (isoutar) wrote :

I made it part of the suspend script ... just before suspend I unmount
the little SD card.

Ian

Peter Meyer wrote:
> Hi Ian:
>
> Are you saying you used the unmount manually or as part of the suspend
> script.
>
> To avoid the lockup, I've had to manually unmount the SD card on my Mini
> 9 before suspending.
>
> Peter
>
>

craptree (craptree) wrote :

Hurrah! Comment 35 works a treat

erlguta (gonzalomarcote) wrote :

The #35 solution is permanent or not when you reboot?

craptree (craptree) wrote :

Permanent for me

Lee Jones (lag) wrote :

It's a permanent solution, but I am working on one which will work out-of-the-box.

Changed in linux (Ubuntu):
assignee: Stefan Bader (stefan-bader-canonical) → Lee Jones (lag)
Lee Jones (lag) on 2010-06-14
tags: added: kernel-power
Lee Jones (lag) wrote :

New information:
  This bug only seems to effect ext2 and ext4 formatted SD cards (vfat and ext3 are seemingly unaffected).
  This bug only occurs when _both_ the SD card and HDDs are mounted.

alien8 (fb-alien8) wrote :

I haven't had the time to test this patch
http://permalink.gmane.org/gmane.linux.kernel.mmc/2302
But it looks like the proper fix in the module itself.

craptree (craptree) wrote :

I have a vfat card, and the problem happened to me until said fix in #35

Lee Jones (lag) wrote :

Interesting, thanks for letting me know.

I am in talks with someone currently, regarding a permanent fix for this issue - shouldn't be much longer now.

Mine is FAT format. Dell d420. Lucid.

Mike Fairbanks
Technical Services
Cell: 559-259-9932
<email address hidden>

On Jun 21, 2010, at 12:59 AM, Lee Jones <email address hidden> wrote:

New information:
 This bug only seems to effect ext2 and ext4 formatted SD cards (vfat and ext3 are seemingly unaffected).
 This bug only occurs when _both_ the SD card and HDDs are mounted.

--
[regression] lucid alpha-2 and earlier freeze upon suspend with sd card plugged in with some hardware
https://bugs.launchpad.net/bugs/477106
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in “linux” package in Ubuntu: Confirmed

Bug description:
This is another bugreport in a great series I filed. This time, against the lucid kernel.

ProblemType: KernelOops
Annotation: This occured during a previous suspend and prevented it from resuming properly.
Architecture: amd64
ArecordDevices:
**** List of CAPTURE Hardware Devices ****
card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
  Subdevices: 2/2
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1
AudioDevicesInUse:
USER PID ACCESS COMMAND
/dev/snd/controlC0: muelli 1720 F.... pulseaudio
Card0.Amixer.info:
Card hw:0 'Intel'/'HDA Intel at 0xf8220000 irq 17'
  Mixer name : 'Analog Devices AD1984'
  Components : 'HDA:11d41984,17aa20d6,00100400'
  Controls : 29
  Simple ctrls : 18
Date: Sat Nov 7 00:00:53 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/share/apport/apportcheckresume
Failure: suspend/resume
HibernationDevice: #RESUME=UUID=5273fb39-2d17-4d61-bc89-2c1b6efa1db3
InterpreterPath: /usr/bin/python2.6
MachineType: LENOVO 766636G
Package: linux-image-2.6.32-2-generic 2.6.32-2.2
PccardctlIdent:
Socket 0:
  no product info available
PccardctlStatus:
Socket 0:
  no card
ProcCmdLine: root=/dev/mapper/cryptroot source=UUID=9c3d5596-27c6-4fd5-bfcd-fa8eef6f1230 ro quiet splash crashkernel=384M-2G:64M,2G-:128M
ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
ProcEnviron: PATH=(custom, no user)
ProcVersionSignature: Ubuntu 2.6.32-2.2-generic
RelatedPackageVersions: linux-firmware 1.24
SourcePackage: linux
Tags: resume suspend
Title: [LENOVO 766636G] suspend/resume failure
Uname: Linux 2.6.32-2-generic x86_64
UserGroups:

WpaSupplicantLog:

dmi.bios.date: 07/01/2008
dmi.bios.vendor: LENOVO
dmi.bios.version: 7NETB6WW (2.16 )
dmi.board.name: 766636G
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7NETB6WW(2.16):bd07/01/2008:svnLENOVO:pn766636G:pvrThinkPadX61s:rvnLENOVO:rn766636G:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 766636G
dmi.product.version: ThinkPad X61s
dmi.sys.vendor: LENOVO

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/477106/+subscribe

Lee Jones (lag) wrote :

Again, thanks for letting me know.

A solution is on its way.

Markus Schlager (m-slg) wrote :

On Mon, 21 Jun 2010, craptree wrote:

> I have a vfat card, and the problem happened to me until said fix in #35

same here

Lee Jones (lag) wrote :

I believe the issue to be rectified.

Would you be kind enough to download and test the kernel below?

http://people.canonical.com/~ljones/lp569882-lucid/

Remember to undo the momentary workaround I posted in #35 first.

    echo "" | sudo tee -a /etc/pm/config.d/suspend_modules

Please report your results back here.

Download full text (3.2 KiB)

using your kernel. the suspend is faster than it was previously. so yes it
works :)

On Mon, Jun 21, 2010 at 9:18 PM, Lee Jones <email address hidden> wrote:

> I believe the issue to be rectified.
>
> Would you be kind enough to download and test the kernel below?
>
> http://people.canonical.com/~ljones/lp569882-lucid/
>
> Remember to undo the momentary workaround I posted in #35 first.
>
> echo "" | sudo tee -a /etc/pm/config.d/suspend_modules
>
> Please report your results back here.
>
> --
> [regression] lucid alpha-2 and earlier freeze upon suspend with sd card
> plugged in with some hardware
> https://bugs.launchpad.net/bugs/477106
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> This is another bugreport in a great series I filed. This time, against the
> lucid kernel.
>
> ProblemType: KernelOops
> Annotation: This occured during a previous suspend and prevented it from
> resuming properly.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
> Subdevices: 2/2
> Subdevice #0: subdevice #0
> Subdevice #1: subdevice #1
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: muelli 1720 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf8220000 irq 17'
> Mixer name : 'Analog Devices AD1984'
> Components : 'HDA:11d41984,17aa20d6,00100400'
> Controls : 29
> Simple ctrls : 18
> Date: Sat Nov 7 00:00:53 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/share/apport/apportcheckresume
> Failure: suspend/resume
> HibernationDevice: #RESUME=UUID=5273fb39-2d17-4d61-bc89-2c1b6efa1db3
> InterpreterPath: /usr/bin/python2.6
> MachineType: LENOVO 766636G
> Package: linux-image-2.6.32-2-generic 2.6.32-2.2
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdLine: root=/dev/mapper/cryptroot
> source=UUID=9c3d5596-27c6-4fd5-bfcd-fa8eef6f1230 ro quiet splash
> crashkernel=384M-2G:64M,2G-:128M
> ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
> ProcEnviron: PATH=(custom, no user)
> ProcVersionSignature: Ubuntu 2.6.32-2.2-generic
> RelatedPackageVersions: linux-firmware 1.24
> SourcePackage: linux
> Tags: resume suspend
> Title: [LENOVO 766636G] suspend/resume failure
> Uname: Linux 2.6.32-2-generic x86_64
> UserGroups:
>
> WpaSupplicantLog:
>
> dmi.bios.date: 07/01/2008
> dmi.bios.vendor: LENOVO
> dmi.bios.version: 7NETB6WW (2.16 )
> dmi.board.name: 766636G
> dmi.board.vendor: LENOVO
> dmi.board.version: Not Available
> dmi.chassis.asset.tag: No Asset Information
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Not Available
> dmi.modalias:
> dmi:bvnLENOVO:bvr7NETB6WW(2.16):bd07/01/2008:svnLENOVO:pn766636G:pvrThinkPadX61s:rvnLENOVO:rn766636G:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
> dmi.product.name: 766636G
> dmi.product.version: ThinkPad X61s
> dmi.sys.vendor: LENOVO
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+s...

Read more...

alien8 (fb-alien8) wrote :

The kernel in

http://people.canonical.com/~ljones/lp569882-lucid/

works fine for suspend to (ram|disk) on amd64. Haven't tested 32bit yet, since I don't expect the platform matters here.

Thanks!

- a8

Moritz Obermeier (moobsen) wrote :

The kernel in

http://people.canonical.com/~ljones/lp569882-lucid/

fixed the bug for my Acer Aspire One (i386).

Danke!

Richard Wall (richardw) wrote :

Thanks Lee!

Kernel: http://people.canonical.com/~ljones/lp569882-lucid/linux-image-2.6.32-23-generic_2.6.32-23.37_i386.deb

Your updated kernel fixes the problem on my HP Compaq nc6400 laptop.

Great work and I really enjoyed reading your write up of the debugging process.

-RichardW.

Lee Jones (lag) wrote :

Thank you Richard - I didn't realise people would actually read that. =:-)

I have applied the fix to my public kernel tree and submitted a pull request to Lucid.

Watch this space.

Lee Jones (lag) wrote :

--- IMPORTANT - READ THIS ---

Unfortunately, due to circumstances beyond our control, this bug has been placed on hold.

Due to rules set down by SRU, this patch cannot be applied to Ubuntu until has been upstream.

The bug fixer does intend to push their patch upstream, hence this will be fixed soon enough.

However, they have more pressing personal matters to attend to prior to doing so.

In the meantime, feel free use the momentary workaround found in post #35 of this bug report.

Hold on in there - your patience is appreciated.

Kind regards,
Lee

description: updated
description: updated
description: updated
Andreas Kern (kerna) wrote :

affects the t410 too

Kamal Mostafa (kamalmostafa) wrote :

Problem occurs on Dell Studio 1558 also (and the kernel patch does fix it). Thanks Lee!

Lee Jones (lag) on 2010-08-13
Changed in linux (Ubuntu):
status: Confirmed → In Progress
Lee Jones (lag) wrote :
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Omer Akram (om26er) wrote :

how about SRU for Lucid and update for Maverick please

Omer Akram (om26er) wrote :

sorry for the spam. I should have read the bug description. Thanks Lee

Lee Jones (lag) on 2010-09-03
Changed in linux (Ubuntu Lucid):
status: New → Confirmed
importance: Undecided → Medium
assignee: nobody → Lee Jones (lag)
Lee Jones (lag) wrote :

Would affected people please test these kernels and report back here please?

Lucid:
http://people.canonical.com/~ljones/lp477106-lucid/

Maverick:
http://people.canonical.com/~ljones/lp477106-maverick/

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-20.29

---------------
linux (2.6.35-20.29) maverick; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: i915 KMS -- support disabling KMS for known broken devices
    - LP: #563277
  * SAUCE: i915 KMS -- blacklist i830
    - LP: #542208, #563277
  * SAUCE: i915 KMS -- blacklist i845g
    - LP: #541492, #563277
  * SAUCE: i915 KMS -- blacklist i855
    - LP: #511001, #541511, #563277

  [ Leann Ogasawara ]

  * [Config] Enable CONFIG_SENSORS_PKGTEMP=m
    - LP: #601073
  * ARM: Temporarily disable module check for armel
  * rebase to v2.6.35.4
  * [Config] update configs following rebase to v2.6.35.4

  [ Ricardo Salveti de Araujo ]

  * [Config] Change CONFIG_LEDS_TRIGGER_HEARTBEAT from module to built-in
    in Omap

  [ Tim Gardner ]

  * [Config] Added be2net, be2scsi to udebs
    - LP: #628776

  [ Upstream Kernel Changes ]

  * x86, cpu: Package Level Thermal Control, Power Limit Notification
    definitions
    - LP: #601073
  * x86, hwmon: Package Level Thermal/Power: pkgtemp hwmon driver
    - LP: #601073
  * x86, hwmon: Package Level Thermal/Power: thermal throttling handler
    - LP: #601073
  * x86, hwmon: Package Level Thermal/Power: power limit
    - LP: #601073
  * x86, hwmon: Package Level Thermal/Power: pkgtemp documentation
    - LP: #601073
  * hid: 3m: Adjust to sequential MT HID protocol
  * hid: 3m: Convert to MT slots
  * hid: 3m: Correct touchscreen emulation
  * hid: 3m: Adjust major / minor axes to scale
  * input: bcm5974: Adjust major / minor to scale
  * HID: magicmouse: don't allow hidinput to initialize the device
  * HID: magicmouse: simplify multitouch feature request
  * HID: magicmouse: simplify touch data bit manipulation
  * HID: magicmouse: simplify touch down logic
  * HID: magicmouse: remove timestamp logic
  * HID: magicmouse: enable Magic Trackpad support
  * HID: magicmouse: Adjust major / minor axes to scale
  * mmc: fix all hangs related to mmc/sd card insert/removal during
    suspend/resume
    - LP: #477106
  * drm/i915: fix VGA plane disable for Ironlake+
    - LP: #602281
 -- Leann Ogasawara <email address hidden> Mon, 30 Aug 2010 08:38:01 -0700

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Lee Jones (lag) wrote :

I will try to build a 64bit kernel when I have more time.

If you'd like to build your own, the tree is here:

http://kernel.ubuntu.com/git?p=lag/ubuntu-lucid.git;a=commit;h=ef4c31990cbe996dbd5ac1530491549e295f39e9

Kamal Mostafa (kamalmostafa) wrote :

I confirm that Lee's patch referenced in comments #69 and #71 fixes the problem (tested on Dell Studio 1558).

A 64-bit Lucid kernel including Lee's patch is available here:
http://kernel.ubuntu.com/~kamal/lp477106/

Thanks Lee!

Aaron Bentley (abentley) wrote :

Kamal's package fixes the issue for me on a Dell XPS M1330

Tomas Pospisek (tpo-deb) wrote :

This also seems to fix #584866

thanks Kamal Mostafa and Lee Jones!
*t

Lee Jones (lag) on 2010-09-08
description: updated
Lee Jones (lag) on 2010-10-06
Changed in linux (Ubuntu Lucid):
status: Confirmed → Fix Released

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Steve Conklin (sconklin) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by Thursday, November 11, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

After finding and removing the workaround I had still in place on lucid I was able to reproduce the bug with the current updated lucid kernel 2.6.32-25.
Testing under similar circumstances with the proposed 2.6.32-26 did not show any buggy behaviour on 7 suspend resume cycles.

On my hardware (same as in comment #3) this proposed kernel fixes the bug.

Thanks to all.

tags: added: verification-done
removed: verification-needed
Download full text (3.7 KiB)

Hardware: Lenovo T400
Fix: lucid-proposed linux-image generic 2.6.32-26-generic #46-Ubuntu SMP

Success! This fixed the bug

 I needed to re-install gnome-power-manager before I had a functioning system

On Fri, Nov 5, 2010 at 6:16 AM, Steve Conklin <email address hidden> wrote:
> This bug is awaiting verification that the kernel in -proposed solves
> the problem. Please test the kernel and update this bug with the
> results. If the problem is solved, change the tag 'verification-needed'
> to 'verification-done'.
>
> If verification is not done by Thursday, November 11, this fix will be
> dropped from the source code, and this bug will be closed.
>
> See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
> to enable and use -proposed. Thank you!
>
> --
> [regression] lucid alpha-2 and earlier freeze upon suspend with sd card plugged in with some hardware
> https://bugs.launchpad.net/bugs/477106
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (550479).
>
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Lucid: Fix Released
>
> Bug description:
> This is another bugreport in a great series I filed. This time, against the lucid kernel.
>
> ProblemType: KernelOops
> Annotation: This occured during a previous suspend and prevented it from resuming properly.
> Architecture: amd64
> ArecordDevices:
>  **** List of CAPTURE Hardware Devices ****
>  card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
>    Subdevices: 2/2
>    Subdevice #0: subdevice #0
>    Subdevice #1: subdevice #1
> AudioDevicesInUse:
>  USER        PID ACCESS COMMAND
>  /dev/snd/controlC0:  muelli     1720 F.... pulseaudio
> Card0.Amixer.info:
>  Card hw:0 'Intel'/'HDA Intel at 0xf8220000 irq 17'
>    Mixer name   : 'Analog Devices AD1984'
>    Components   : 'HDA:11d41984,17aa20d6,00100400'
>    Controls      : 29
>    Simple ctrls  : 18
> Date: Sat Nov  7 00:00:53 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/share/apport/apportcheckresume
> Failure: suspend/resume
> HibernationDevice: #RESUME=UUID=5273fb39-2d17-4d61-bc89-2c1b6efa1db3
> InterpreterPath: /usr/bin/python2.6
> MachineType: LENOVO 766636G
> Package: linux-image-2.6.32-2-generic 2.6.32-2.2
> PccardctlIdent:
>  Socket 0:
>    no product info available
> PccardctlStatus:
>  Socket 0:
>    no card
> ProcCmdLine: root=/dev/mapper/cryptroot source=UUID=9c3d5596-27c6-4fd5-bfcd-fa8eef6f1230 ro quiet splash  crashkernel=384M-2G:64M,2G-:128M
> ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
> ProcEnviron: PATH=(custom, no user)
> ProcVersionSignature: Ubuntu 2.6.32-2.2-generic
> RelatedPackageVersions: linux-firmware 1.24
> SourcePackage: linux
> Tags: resume suspend
> Title: [LENOVO 766636G] suspend/resume failure
> Uname: Linux 2.6.32-2-generic x86_64
> UserGroups:
>
> WpaSupplicantLog:
>
> dmi.bios.date: 07/01/2008
> dmi.bios.vendor: LENOVO
> dmi.bios.version: 7NETB6WW (2.16 )
> dmi.board.name: 766636G
> dmi.board.vendor: LENOVO
> dmi.board.version: Not Available
> dmi.chassis.asset.tag: No Asset Information
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis....

Read more...

Dominic Hargreaves (dom) wrote :

2.6.32-26 also fixes the suspend with SD card inserted problems with my Dell Mini 9 (with /etc/pm/config.d/suspend_modules empty).

I have experienced this bug too. My work around is easy but not the
best. My SD card is used to store movies and music. If I set the SD
tiny switch on the edge of the card to LOCK ... then the Dell Mini 9
will suspend and wake up fine. If it is set to not be locked then the
Mini 9 locks up instead of suspends.

Ian Soutar
Vancouver Island

Dominic Hargreaves wrote:
> 2.6.32-26 also fixes the suspend with SD card inserted problems with my
> Dell Mini 9 (with /etc/pm/config.d/suspend_modules empty).
>
>

Ian Soutar (isoutar) wrote :

Can someone please point out the original posting that fixes this problem.

Thanks
Ian Soutar

Dominic Hargreaves wrote:
> 2.6.32-26 also fixes the suspend with SD card inserted problems with my
> Dell Mini 9 (with /etc/pm/config.d/suspend_modules empty).
>
>

Lee Jones (lag) wrote :

How do you mean Ian?

All the information is on this bug report.

What else would you like to know?

Ian Soutar (isoutar) wrote :

Thanks
I did not realize this.

Ian

Lee Jones wrote:
> How do you mean Ian?
>
> All the information is on this bug report.
>
> What else would you like to know?
>
>

Tim Gardner (timg-tpi) on 2011-03-21
Changed in linux (Ubuntu Maverick):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu):
status: New → Invalid
Launchpad Janitor (janitor) wrote :
Download full text (65.1 KiB)

This bug was fixed in the package linux-mvl-dove - 2.6.32-216.33

---------------
linux-mvl-dove (2.6.32-216.33) lucid-proposed; urgency=low

  [ Ubuntu: 2.6.32-31.60 ]

  * Release Tracking Bug
    - LP: #734950
  * SAUCE: Clear new_profile in error path
    - LP: #732700
  * [Config] CONFIG_BOOT_PRINTK_DELAY=y
    - LP: #733191
  * Revert "drm/radeon/bo: add some fallback placements for VRAM only
    objects."
    - LP: #652934
  * drm/radeon: fall back to GTT if bo creation/validation in VRAM fails.
    - LP: #652934
  * drm/radeon/kms: Fix retrying ttm_bo_init() after it failed once.
    - LP: #652934
  * xfs: always use iget in bulkstat
    - LP: #692848
  * drm/radeon/kms: make the mac rv630 quirk generic
    - LP: #728687
  * drm/radeon/kms: add pll debugging output
    - LP: #728687
  * drm/radeon: remove 0x4243 pci id
    - LP: #728687
  * drm/radeon/kms: fix s/r issues with bios scratch regs
    - LP: #728687
  * drm/i915/lvds: Add AOpen i915GMm-HFS to the list of false-positive LVDS
    - LP: #728687
  * drm/i915: Add dependency on CONFIG_TMPFS
    - LP: #728687
  * Linux 2.6.32.29+drm33.14
    - LP: #728687
  * NFSD: memory corruption due to writing beyond the stat array
    - LP: #728687
  * mptfusion: mptctl_release is required in mptctl.c
    - LP: #728687
  * mptfusion: Fix Incorrect return value in mptscsih_dev_reset
    - LP: #728687
  * ocfs2_connection_find() returns pointer to bad structure
    - LP: #728687
  * x25: decrement netdev reference counts on unload
    - LP: #728687
  * x86, hpet: Disable per-cpu hpet timer if ARAT is supported
    - LP: #728687
  * OHCI: work around for nVidia shutdown problem
    - LP: #728687
  * x86/pvclock: Zero last_value on resume
    - LP: #728687
  * av7110: check for negative array offset
    - LP: #728687
  * CRED: Fix get_task_cred() and task_state() to not resurrect dead
    credentials
    - LP: #728687
  * bonding/vlan: Avoid mangled NAs on slaves without VLAN tag insertion
    - LP: #728687
  * CRED: Fix kernel panic upon security_file_alloc() failure.
    - LP: #728687
  * CRED: Fix BUG() upon security_cred_alloc_blank() failure
    - LP: #728687
  * CRED: Fix memory and refcount leaks upon security_prepare_creds()
    failure
    - LP: #728687
  * sendfile(): check f_op.splice_write() rather than f_op.sendpage()
    - LP: #728687
  * isdn: hisax: Replace the bogus access to irq stats
    - LP: #728687
  * ixgbe: add support for 82599 based Express Module X520-P2
    - LP: #728687
  * ixgbe: prevent speculative processing of descriptors before ready
    - LP: #728687
  * scsi_dh_alua: add netapp to dev list
    - LP: #728687
  * scsi_dh_alua: Add IBM Power Virtual SCSI ALUA device to dev list
    - LP: #728687
  * dm raid1: fail writes if errors are not handled and log fails
    - LP: #728687
  * GFS2: Fix bmap allocation corner-case bug
    - LP: #728687
  * dm raid1: fix null pointer dereference in suspend
    - LP: #728687
  * sunrpc/cache: fix module refcnt leak in a failure path
    - LP: #728687
  * be2net: Maintain tx and rx counters in driver
    - LP: #728687
  * tcp: Make TCP_MAXSEG minimum more correct.
    - LP: #728687
  * nfsd: correctly handle return value from ...

Changed in linux-mvl-dove (Ubuntu Lucid):
status: New → Fix Released
Paolo Pisati (p-pisati) on 2011-03-25
Changed in linux-mvl-dove (Ubuntu Maverick):
status: New → Fix Released
To post a comment you must log in.